since we know that DP has no specific algorithm but it has several techniques. I don't know where to start from. should i solve some recursion and Divide and conquer problems before solving dynamic programming ? what should be the steps or order to follow to improve significantly in DP problem ASAP?
DP:
"Those who can not remember the past are condemned to repeat it"
topcoder link
dp problems(sort by solved)
should i solve problem using recursion before solving DP problem?
first try to solve with naive solution, then optimize by memorization
okay... thanks for the suggestion